#!/usr/bin/env ruby

require 'mapping'
require 'virtual_machine_si'

# Provides access to virtual machine data managed by ONE
class VirtualMachineOneSI
   @@xml_mapping = "one_si_mapping"
      
   # Get virtual machine info
   def VirtualMachineOneSI.get(id, xml_mapping=@@xml_mapping)   
       info = `onevm show -x #{id}`
       VirtualMachineSI.from_xml(info, xml_mapping)
   end
end